@import url('https://fonts.googleapis.com/css2?family=Comfortaa:wght@300..700&family=Poiret+One&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Cinzel:wght@400..900&display=swap');
*{
    transition: all 0.3s linear;
}

html{
    height: 100%;
    width: 100%;
    margin: 0px;
    padding: 0px;
}
body{
    height: 100%;
    width: 100%;
    margin: 0px;
    padding: 0px;
    background: url("images/bg2.jpg");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    backdrop-filter: blur(2px) brightness(80%);
    font-family: 'Product Sans';
}

/*Navigation Bar*/
/*Desktop View*/
.navbar{
    background: linear-gradient(
        to bottom,
        rgba(0, 0, 0, 1),
        rgba(0, 0, 0, 0)
    );
    width: 100%;
    height: 10%;
}
.navbar #default ul{
    margin: 0px;
    padding-top: 0px;
}
.navbar #default li{
    color: white;
    display: inline-flex;
    flex-wrap: wrap;
    padding-inline: 20px;
}
.navbar #default ul a{
    color: white;
    padding-top: 20px;
    padding-bottom: 0px;
    text-decoration: none;
    transition: border-top 0.3s linear, border-bottom 0.3s linear;
    border-top: 3px solid transparent;
    border-bottom: 3px solid transparent;
}
#default #navdiv1{
    padding-top: 0px;
    padding-bottom: 0px;
    width: 100%;
    height: 100%;
    list-style-type: none;
    background-color: darkred;
}
#default #navdiv2{
    padding-top: 0px;
    padding-bottom: 10px;
    width: 100%;
    height: 100%;
    list-style-type: none;
    background-color: white;
}
#default #navdiv1 ul{
    float: right;
}
#default #navdiv1 ul a{
    font-size: 15px;
    z-index: 5;
    color: white;
}
#default #navdiv2 ul a{
    font-size: 20px;    
    z-index: 5;
    color: black;
}
.navbar #default #navdiv1 a:hover{
    border-top: 3px solid white;
}
.navbar #default #navdiv2 a:hover{
    border-bottom: 3px solid white;
}

/*Mobile View*/
.navbar #dropdown ul{
    margin: 0px;
    padding-top: 0px;
}
.navbar #dropdown li{
    color: black;
    display: inline-flex;
    flex-wrap: wrap;
    padding-inline: 20px;
}
.navbar #dropdown a{
    padding-bottom: 0px;
    text-decoration: none;
    transition: border-top 0.3s linear, border-bottom 0.3s linear;
    border-top: 3px solid transparent;
    border-bottom: 3px solid transparent;
}
#dropdown #navdiv1 label i{
    color: white;
}
#dropdown #navdiv2 table tr td a{
    color: black;
}
#dropdown #navdiv1{
    padding-top: 0px;
    padding-bottom: 0px;
    width: 100%;
    height: 100%;
    list-style-type: none;
    background-color: darkred;
}
#dropdown #navdiv2{
    padding-top: 0px;
    padding-bottom: 10px;
    width: 100%;
    height: 400%;
    list-style-type: none;
    background-color: white;
    display: block;
}
#dropdown #navdiv1 ul{
    float: right;
}
#dropdown #navdiv1 ul a{
    font-size: 15px;
    z-index: 5;
    color: white;
}
#dropdown #navdiv2 ul a{
    font-size: 10px;    
    z-index: 5;
    color: black;
}
.navbar #dropdown #navdiv1 a:hover{
    border-top: 3px solid white;
}
.navbar #dropdown #navdiv2 a:hover{
    border-bottom: 3px solid white;
}
#dropdown #navdiv2 table{
    height: 50%;
    width: 100%;
    border-spacing: 2px;
    font-size: 10px;
}
#dropdown #navdiv2 table td{
    text-align: center;
    background-color: rgba(220, 220, 220, 1);
    color: black;
    padding: 20px;
}
#dropdown #navdiv2 table a{
    padding: 15px;
    height: 100%;
    width: 100%;
}
#navright{
    padding-right: 20px;
    padding-top: 15px;
}
#title-navbar{
    color: white;
    font-family: "Cinzel";
    float: left;
    font-size: 27px;
    padding-top: 10px;
    padding-left: 20px;
    text-decoration: none;
}
#search{
    color: white;
    float: right;
    padding-right: 20px;
}
#title-footer{
    color: white;
    font-family: "Cinzel";
    float: left;
    font-size: 27px;
    padding-top: 20px;
    padding-left: 20px;
}
.ddchecklabel:hover i{
    font-size: 100px;
}

/*Hero*/
#hero{
    font-family: "Cinzel";
    font-size: 10vw;
    color: white;
    height: 90%;
    z-index: -500;
    position: relative;
}
#hero-text{
    user-select: none;
    line-height: 550px;
    z-index: -500;
}

/*Explore More*/
#explore{
    width: 100%;
    height: 30px;
    background-color: darkred;
    color: white;
    font-size: 20px;
    padding-top: 7px;
    padding-bottom: 3px;
    position: fixed;
    bottom: 0px;
}

/*Miscellaneous*/
.static{
    font-size: 15px;
}

/*Card*/
.card{
    background-color: white;
    filter: drop-shadow(0px 0px 5px rgba(0, 0, 0, 0.5));
    height: 100%;
    width: 100%;
    display: inline-flex;
    flex-wrap: wrap;
}
.card img{
    width: 100%;
}
.title-card{
    font-family: "Roboto";
    font-size: 2vw;
    font-weight: 700;
    color: darkred;
}
.para-card{
    font-family: "Roboto";
    font-size: 2vw;
    font-weight: 500;
    padding-bottom: 10px;
    margin-inline: 20px;
    color: black;
}
.date-div{
    padding-inline: 20px;
    background-color: rgba(50, 50, 50, 1);
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 10%;
    position: relative;
    font-size: 2vw;
}
.data-div{
    padding-top: 20px;
    padding-bottom: 20px;
    padding-inline: 20px;
    background-color: white;
    line-height: 25px;
    width: 30%;
    position: relative;
    font-size: 2vw;
}
.bg3 img{
    width: 100%;
    position: relative;
}
table{
    border-spacing: 10px;
}

/*Social Media Icons*/
.social-icons {
    text-decoration: none;
}
.social-icons li{
    list-style-type: none;
    padding-inline: 20px;
    display: inline-flex;
    flex-wrap: wrap;
}
.social-icons .fi{
    font-size: 4vw;
}

/*Content*/
.content1{
    background-color: white;
}
.content2{
    background-color: rgba(230, 230, 230);
}
.content1, .content2{
    padding-top: 30px;
    padding-bottom: 30px;
    padding-inline: 50px;
}
.header{
    font-family: "Roboto";
    font-size: 8vw;
    font-weight: 700;
}
.paragraph{
    font-family: "Roboto";
    font-size: 4vw;
    font-weight: 300;
}
.button{
    background-color: darkred;
    color: white;
    border: none;
    padding: 15px;
    padding-inline: 30px;
    margin-top: 20px;
    filter: drop-shadow(0px 0px 5px rgba(0, 0, 0, 0.5));
}

/*References*/
#references{
    padding-inline: 0px;
    display: flex;
    flex-wrap: wrap;
}
#references ul{
    font-family: "Roboto";
    font-weight: 400;
}
#references .title-li{
    font-family: "Roboto";
    font-weight: 700;
    color: darkred;
    line-height: 25px;
}
#references li{
    list-style-type: none;
}
#references a{
    text-decoration: none;
    color: black;
    line-height: 25px;
}

/*Footer*/
footer{
    background-color: darkred;
    width: 100%;
    display: inline-flex;
    padding-top: 20px;
    padding-bottom: 30px;
}
footer ul{
    color: white;
    list-style-type: none;
}
footer li{
    display: inline-flex;
    flex-wrap: wrap;
    padding-inline: 10px;
}
footer a{
    color: white;
    text-decoration: none;
}
#footdiv{
    color: white;
    width: 80%;
    font-size: 17px;
}
/*Desktop View Responsiveness*/
@media only screen and (min-width: 950px){
    .header{
        font-size: 28px;
    }
    .paragraph{
        font-size: 24px;
    }
    table{
        width: 50%;;
    }
    .title-card{
        font-size: 20px;
    }   
    .para-card{
        font-size: 20px;
    }
    .date-div{
        font-size: 15px;
    }
    .data-div{
        font-size: 15px;
    }
}

/*Mobile View Responsiveness*/
@media only screen and (min-width: 1200px){
    #dropdown{
        display: none;
    }
    #default{
        display: block;
    }
    #navright{
        float: none;
    }
    #search{
        float: right;
    }
}
@media only screen and (max-width: 1200px){
    /*To Hide Navbar on Toggle*/
    #ddcheck:checked + #dropdown #navdiv2 {
        display: none;
    }
    /*To Show Navbar on Toggle*/
    #ddcheck:not(:checked) + #dropdown #navdiv2 {
        display: none;
    }
    #default{
        display: none;
    }
    #navright{
        float: right;
    }
    #search{
        float: none;
    }
    #title-navbar{
        padding-top: 10px;
    }
    .static{
        color: black;
    }
}